/**
 * @file        adaptor_interface.h
 * @brief       API interface server

 * Copyright (c) 2017 Samsung Electronics Co., Ltd.
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information"). You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung.
 */

#ifndef __ADAPTOR_INTERFACE_H__
#define __ADAPTOR_INTERFACE_H__

#ifdef __cplusplus
extern "C" {
#endif
/**
 * @fn        void *api_main_thread(void *pv)
 * @brief     main function to run api thread
 * @param     void *pv
 * @return    void *
 */
	void *api_main_thread(void *pv);

#ifdef __cplusplus
}
#endif
#endif							/* __ADAPTOR_INTERFACE_H__ */
